# Description and License

This compressed archive contains two open data-sets accompanying our paper submitted to IEEE NFV-SDN 2022:

[Real-Time Anomaly Detection in NFV Infrastructures](https://retis.sssup.it/~tommaso/papers/nfvsdn22.php), A. Derstepanians, M. Vannucci, T. Cucinotta, A. K. Sahebrao, S. Lahiri, A. Artale, S. Fichera.  Submitted to the 7th IEEE Conference on Network Functions Virtualization and Software-Defined Networking (IEEE NFV-SDN 2022), 14–16 November 2022, Chandler, AZ, USA

The data-set files in this bundle are licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](http://creativecommons.org/licenses/by-nc-sa/4.0/).

For details, refer to the included license.txt file.

[![BY-NC-SA](https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png)](http://creativecommons.org)

# full_monthly_data.csv

This data-set contains the whole monthly data of 'cpu|demandPct' on January 2020 for 25 VMs which has been used to test the accuracy of predictive models i.e. LSTM autoencoders and SM for real-time anomaly detection. It has three columns:

1. `timestamp` : It starts from 2020-01-01 00:04:59 to 2020-01-30 23:59:59 with 5 minutes granularity.
2. `resName`   : It is the name of the VM.
3. `cpu|demandPct` : It is the values of the metric which we use to test the real-time anomaly detection.



# anom_label_data.csv

This data-set has been used as a reference to evaluate the confusion matrix for the predictive models. It is a labeled data-set which includes all anomalous points on the 30th of January 2020 for the above mentioned 25 VMs. Similar to "full_monthly_data.csv" data-set, it has three columns:

1. `timestamp` : It starts from 2020-01-30 00:04:59 to 2020-01-30 23:59:59 with 5 minutes granularity.
2. `resName`   : It is the name of the VM.
3. `cpu|demandPct` : It is the anomalous values of the metric on 30th of January.
